Bug 22120 - Add price formatting to patron summary print
Summary: Add price formatting to patron summary print
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks: 22112
  Show dependency treegraph
 
Reported: 2019-01-13 10:11 UTC by Katrin Fischer
Modified: 2019-02-25 09:44 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22120: Add price formattig to patron summary print (2.83 KB, patch)
2019-01-13 10:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22120: Add price formattig to patron summary print (2.89 KB, patch)
2019-01-15 02:28 UTC, helene
Details | Diff | Splinter Review
Bug 22120: Add price formattig to patron summary print (2.84 KB, patch)
2019-01-15 02:29 UTC, helene
Details | Diff | Splinter Review
PDF of "Print summary" (61.17 KB, application/pdf)
2019-01-15 06:08 UTC, Katrin Fischer
Details
Bug 22120: Add price formattig to patron summary print (2.89 KB, patch)
2019-01-15 20:27 UTC, helene
Details | Diff | Splinter Review
Bug 22120: Add price formattig to patron summary print (2.94 KB, patch)
2019-02-08 16:43 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-13 10:11:12 UTC

    
Comment 1 Katrin Fischer 2019-01-13 10:18:45 UTC Comment hidden (obsolete)
Comment 2 helene 2019-01-15 02:25:57 UTC
When I change the currency format it doesn't change in the checkout table. However is changing in other places on the page.
Comment 3 helene 2019-01-15 02:28:45 UTC Comment hidden (obsolete)
Comment 4 helene 2019-01-15 02:29:52 UTC
Created attachment 83926 [details] [review]
Bug 22120: Add price formattig to patron summary print

The patron summary print lists the replacement prices
and rental charges of items and totals them. With this
patch they will be formatted according to the
CurrencyFormat system preference.

To test:
- Find or create a patron with some checkouts
- Make sure some items have replacement price set
  and some have a rental charge
- "Print summary" from the account in staff
- Verify that charges and prices in the checkouts
  table are formatted correctly
- Toggle CurrencyFormat to different settings
Comment 5 helene 2019-01-15 02:30:32 UTC
Sorry was meant to set to Failed QA as this didn't test as planned.
Comment 6 Katrin Fischer 2019-01-15 06:08:47 UTC
Created attachment 83936 [details]
PDF of "Print summary"

Hi Helene,
I just tested again and it look ok for me (see attached PDF). Could you try again and make sure you restarted Plack? (restart_all on kohadevbox) If it still doesn't look right, can you maybe upload a screenshot or printed PDF or describe it a bit more?
Comment 7 helene 2019-01-15 20:27:57 UTC
Created attachment 84011 [details] [review]
Bug 22120: Add price formattig to patron summary print

The patron summary print lists the replacement prices
and rental charges of items and totals them. With this
patch they will be formatted according to the
CurrencyFormat system preference.

To test:
- Find or create a patron with some checkouts
- Make sure some items have replacement price set
  and some have a rental charge
- "Print summary" from the account in staff
- Verify that charges and prices in the checkouts
  table are formatted correctly
- Toggle CurrencyFormat to different settings

Signed-off-by: helene hickey <hickeyhe@wgc.school.nz>
Comment 8 Martin Renvoize 2019-02-08 16:43:52 UTC
Created attachment 84883 [details] [review]
Bug 22120: Add price formattig to patron summary print

The patron summary print lists the replacement prices
and rental charges of items and totals them. With this
patch they will be formatted according to the
CurrencyFormat system preference.

To test:
- Find or create a patron with some checkouts
- Make sure some items have replacement price set
  and some have a rental charge
- "Print summary" from the account in staff
- Verify that charges and prices in the checkouts
  table are formatted correctly
- Toggle CurrencyFormat to different settings

Signed-off-by: helene hickey <hickeyhe@wgc.school.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-02-08 16:44:24 UTC
Great to see all these missing $Price filters being fixed up!

Passing QA
Comment 10 Nick Clemens 2019-02-11 18:40:20 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-02-12 13:14:19 UTC
Pushed to 18.11.x for 18.11.03
Comment 12 Lucas Gass 2019-02-12 23:46:34 UTC
backported to 18.05.x for 18.05.09
Comment 13 Fridolin SOMERS 2019-02-25 09:44:30 UTC
I prefer not to push formatting changes to 17.11.x